#
# spec file for package phonon (Version 4.4.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           phonon
BuildRequires:  automoc4 cmake kde4-filesystem libpulse-devel libqt4-devel
BuildRequires:  fdupes
Version:        4.4.2
Release:        1.10
License:        LGPLv2.0+
Url:            http://phonon.kde.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Libraries/KDE
Summary:        Phonon Multimedia Platform Abstraction
Source0:        %name-%{version}.tar.bz2
Source1:        baselibs.conf
%if %suse_version > 1030
%requires_ge    libqt4
%endif
Requires:       phonon-backend >= %version
Requires:       libphonon4 = %version

%description
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.



Authors:
--------
    Matthias Kretz

%package devel
License:        LGPLv2.0+
Summary:        Phonon Multimedia Platform Abstraction
Group:          Development/Libraries/KDE
Requires:       %name = %version
Requires:       libphonon4 = %version
Requires:       libqt4-devel

%description devel
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.



Authors:
--------
    Matthias Kretz

%package -n libphonon4
License:        LGPLv2.0+
Summary:        Phonon Multimedia Platform Abstraction
Group:          Development/Libraries/KDE
%requires_ge    libqt4-x11

%description -n libphonon4
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.



%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  install -d -m 0755 $RPM_BUILD_ROOT/%_libdir/kde4/plugins
  install -d -m 0755 $RPM_BUILD_ROOT/%_libdir/kde4/plugins/phonon_backend
  %fdupes $RPM_BUILD_ROOT/usr/include

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -n libphonon4 -p /sbin/ldconfig

%postun -n libphonon4 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%if %suse_version > 1010
%dir %_kde4_modules/plugins
%dir %_kde4_modules/plugins/phonon_backend
%endif
/usr/share/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml

%files -n libphonon4
%defattr(-,root,root)
%_libdir/libphonon.so.4
%_libdir/libphonon.so.4.4.0
%_libdir/libphononexperimental.so.4
%_libdir/libphononexperimental.so.4.4.0

%files devel
%defattr(-,root,root)
/usr/include/phonon
%dir /usr/include/KDE
/usr/include/KDE/Phonon
%_libdir/libphonon.so
%_libdir/libphononexperimental.so
%_libdir/pkgconfig/phonon.pc

%changelog
* Mon Jun  7 2010 dmueller@suse.de
- update to 4.4.2:
  * merged the diff to master into the version
* Tue May 11 2010 dmueller@suse.de
- add diff to current master to fix pulseaudio regression (bnc#604046)
* Wed May  5 2010 dmueller@suse.de
- update to 4.4.1:
  * merged symbian fixes
  * improved pulseaudio support
* Fri Mar 26 2010 tittiatcoke@gmail.com
- Added a patch (upstream/Colin Cuthrie) to prevent an endless loop
  when pulseaudio is not installed
* Wed Mar 24 2010 per@osbeck.com
- add BuildRequires for proper pulseaudio support
* Mon Mar 15 2010 dmueller@suse.de
- update to 4.4.0:
  * bugfixes
  * improved video recording/playback
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Fri Dec  4 2009 dmueller@suse.de
- update to 4.3.80:
  + one header bugfix compared to previous update
* Mon Nov 23 2009 tittiatcoke@gmail.com
- updated to svn1052215
  + add the 'file://' scheme to urls that don't have it, so
    gstreamer doesn't complain on pathnames with characters that
    get percent-endoded.
  + make the xine backend work with local files with filenames
    wrongly encoded/with mixed encodings.
  + Add initial support for DVD Support
  + [Gstreamer] Fix changing audio track
  + Xine has equalizer functionality which is used in Amarok
* Tue Oct 20 2009 adrian@suse.de
- split plugins away in own spec file, this avoids build triggers
  from gnome or xine framework to entire KDE
- minor spec file cleanup (remove support of outdated distros)
* Thu May 14 2009 dmueller@suse.de
- add versioned dependencies
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.3.1:
  * sync with the version in Qt 4.5.0, various bugfixes
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.3.0:
  * Qt 4.5 fixes
  * fix volume handling / volume fader
* Mon Jan 12 2009 dmueller@suse.de
- update to 4.2.96:
  * new phonon backend without KDE dependencies
  * other improvements necessary for KDE 4.2
* Fri Jan  9 2009 llunak@suse.cz
- patch for ogg support (bnc#438718)
* Tue Oct 21 2008 dmueller@suse.de
- add versioned requires on libphonon4
* Wed Sep 10 2008 dmueller@suse.de
- fix build for older distros
* Tue Jul 22 2008 dmueller@suse.de
- update to 4.2.0:
  * bugfixes
* Thu Jul  3 2008 aj@suse.de
- Add baselibs.conf for libphonon.
* Thu Jul  3 2008 dmueller@suse.de
- enable gstreamer-010 based backend
* Fri Jun 20 2008 dmueller@suse.de
- update to 4.1.83:
  * more bugfixes, reworked audio device handling
* Tue May 27 2008 dmueller@suse.de
- Initial package (4.1.81)
